Bug 1969628 (CVE-2021-34341) - CVE-2021-34341 ming: out-of-bounds read in decompileIF() in util/decompile.c
Summary: CVE-2021-34341 ming: out-of-bounds read in decompileIF() in util/decompile.c
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2021-34341
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2057681
Blocks: 1969650
TreeView+ depends on / blocked
 
Reported: 2021-06-08 18:50 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-03-02 23:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Ming 0.4.8 has an out-of-bounds read vulnerability in the function decompileIF() in the decompile.c file that causes a direct segmentation fault and leads to denial of service.
Clone Of:
Environment:
Last Closed: 2022-03-02 23:50:09 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-06-08 18:50:02 UTC
Ming 0.4.8 has an out-of-bounds read vulnerability in the function decompileIF in the decompile.c file that causes a direct segmentation fault and leads to denial of service.

Reference:
https://github.com/libming/libming/issues/204

Comment 1 Guilherme de Almeida Suckevicz 2022-02-23 20:19:33 UTC
Created ming tracking bugs for this issue:

Affects: fedora-all [bug 2057681]

Comment 2 Product Security DevOps Team 2022-03-02 23:50:07 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.